from graphene import Int, String

from bot_data.abc.queryABC import QueryABC
from bot_data.model.client import Client


class ClientQueryType(QueryABC):
    id = Int()
    discord_id = String()
    sent_message_count = Int()
    received_message_count = Int()
    deleted_message_count = Int()
    received_command_count = Int()
    moved_users_count = Int()

    @staticmethod
    def resolve_id(client: Client, info):
        return client.client_id
